// This code is auto-generated

#include "ticksUtils.hpp"
#define __x86_64__
void burnTicks(long long ticks) {
		// default implementation of tick burning
		long long numLoops = ticks / 400; 
	#	if defined (__x86_64__)
	 		for (long long i = 0; i < numLoops; i++) {
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 		}
	#	elif defined (__x86_32__) 		
	 		for (long long i = 0; i < numLoops; i++) {
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 		}
	#	elif defined (__aarch64__) 		
	 		for (long long i = 0; i < numLoops; i++) {
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
	 			__asm volatile("mov x0, x0");
			}
	#	endif
}

void burnTicksStatistics(double average, long long lowerBound, long long upperBound) {
	burnTicks((long long)average);
}

void executeTicks_DiscreteValueConstant(long long ticks) {
	burnTicks(ticks);
}

